#######################################################################
#################### HEADER, CHANGE VALUES HERE #######################
#######################################################################
read_sets="data_sample/reads_sequence1.fasta data_sample/reads_sequence2.fasta" # FOR instance: "read_set1.fa.gz read_set2.fq.gz"
prefix="your_prefix" # all temp and final files will be written will start with this prefix
k=27 # size of kmers, 27 is a good value
c=5 # minimal coverage
d=1 # estimated number of error per read (used by kissreads only)
g=1000000 # estimated genome size. Used only to control kissnp2 memory usage. e.g. 3 billion (3000000000) uses 4Gb of RAM.


#######################################################################
#################### KISSNP2                    #######################
#######################################################################
./kissnp2_exe $read_sets -t -k $k -c $c  -g $g -o $prefix # see also options for kissnp (filtration with max occurrence numbers (-C), filtration with respect to size of contig (-e), ...)

#######################################################################
#################### KISSREADS                  #######################
#######################################################################
smallk=$(($k-4)) # avoid to modify this.
i=5 #avoid modidy this
./kissreads_exe $prefix\_k_$k\_c_$c.fa $read_sets -k $smallk -c $c -d $d -n -i $i -o $prefix\_k_$k\_c_$c\_coherent -u $prefix\_k_$k\_c_$c\_uncoherent #no need to see kissreads option in theory.

#######################################################################
#################### SORT AND FORMAT COHERENT RESULTS #################
#######################################################################
sort -rg $prefix\_k_$k\_c_$c\_coherent | cut -d " " -f 2 | tr ';' '\n' > $prefix\_k_$k\_c_$c\_coherent.fa
echo "read2SNP done, coherent SNPs are stored in \""$prefix\_k_$k\_c_$c\_coherent.fa"\""

